# Enum ConnectionPriority

java.lang.Object
java.lang.Enum<ConnectionPriority>
com.codename1.bluetooth.le.ConnectionPriority

All Implemented Interfaces:
  `Comparable<ConnectionPriority>`

public enum ConnectionPriority extends Enum<ConnectionPriority>
Connection-interval preference requested via `BlePeripheral.requestConnectionPriority(ConnectionPriority)`. Android maps these to its connection-priority constants; iOS manages intervals itself and treats the request as a successful no-op.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BALANCED`
  The platform default trade-off.
  `HIGH`
  Short connection interval for high-throughput transfers.
  `LOW_POWER`
  Longer connection interval -- lower throughput, better battery.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConnectionPriority`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ConnectionPriority[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LOW_POWER

    public static final ConnectionPriority LOW_POWER
    Longer connection interval -- lower throughput, better battery.

  - ### BALANCED

    public static final ConnectionPriority BALANCED
    The platform default trade-off.

  - ### HIGH

    public static final ConnectionPriority HIGH
    Short connection interval for high-throughput transfers.

- ## Method Details

  - ### values

    public static ConnectionPriority[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ConnectionPriority valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null